aagc.vo

## Class MazzetteRequest

- java.lang.Object
- - aagc.vo.MazzetteRequest

-     public class MazzetteRequest
      extends java.lang.Object

  Dati delle mazzette associate ad una Distinta Contabile Riepilogativa.
  Ciascuna mazzetta è composta dai seguenti dati:

  - numRicettaInizio: N.ro ricetta inizio. Obbligatorio.
  - numRicettaFine: N.ro ricetta fine. Obbligatorio.
  - numPezzi: N.ro pezzi (per tipo DCR 13,15). Obbligatorio.
  - impLordoDichiarato: Importo remunerazione (per tipo DCR 1,3)-Importo lordo (per tipo DCR 5,6,8,9)-Importo scontato (per tipo DCR4). Obbligatorio.
  - impQuotaPHTDichiarato: Comp. farmacia dichiarato (per tipo DCR 5,6,7,13,15). Obbligatorio.
  - impTicketDichiarato: Ticket dichiarato (per tipo DCR 1,3,4,5,6,8,9,13,15). Obbligatorio.
  - impScontoDichiarato: Sconto dichiarato (per tipo distinta 1,3). Obbligatorio.

  Il seguente frammento di schema specifica il contenuto previsto contenuto in questa classe.

       <complexType name="mazzetteRequest">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="numRicettaInizio">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="[0-9]*"/>
                     <maxLength value="5"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="numRicettaFine">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="[0-9]*"/>
                     <maxLength value="5"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="numPezzi" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="[0-9]*"/>
                     <maxLength value="5"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="impLordoDichiarato" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="([0-9]{1,6}(,[0-9]{1,2})?)?"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="impQuotaPHTDichiarato" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="([0-9]{1,6}(,[0-9]{1,2})?)?"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="impTicketDichiarato" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="([0-9]{1,6}(,[0-9]{1,2})?)?"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="impScontoDichiarato" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="([0-9]{1,6}(,[0-9]{1,2})?)?"/>
                   </restriction>
                 </simpleType>
               </element>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `impLordoDichiarato`
    `protected java.lang.String` | `impQuotaPHTDichiarato`
    `protected java.lang.String` | `impScontoDichiarato`
    `protected java.lang.String` | `impTicketDichiarato`
    `protected java.lang.String` | `numPezzi`
    `protected java.lang.String` | `numRicettaFine`
    `protected java.lang.String` | `numRicettaInizio`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MazzetteRequest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getImpLordoDichiarato()` Recupera il valore della proprietà impLordoDichiarato.
    `java.lang.String` | `getImpQuotaPHTDichiarato()` Recupera il valore della proprietà impQuotaPHTDichiarato.
    `java.lang.String` | `getImpScontoDichiarato()` Recupera il valore della proprietà impScontoDichiarato.
    `java.lang.String` | `getImpTicketDichiarato()` Recupera il valore della proprietà impTicketDichiarato.
    `java.lang.String` | `getNumPezzi()` Recupera il valore della proprietà numPezzi.
    `java.lang.String` | `getNumRicettaFine()` Recupera il valore della proprietà numRicettaFine.
    `java.lang.String` | `getNumRicettaInizio()` Recupera il valore della proprietà numRicettaInizio.
    `void` | `setImpLordoDichiarato(java.lang.String value)` Imposta il valore della proprietà impLordoDichiarato.
    `void` | `setImpQuotaPHTDichiarato(java.lang.String value)` Imposta il valore della proprietà impQuotaPHTDichiarato.
    `void` | `setImpScontoDichiarato(java.lang.String value)` Imposta il valore della proprietà impScontoDichiarato.
    `void` | `setImpTicketDichiarato(java.lang.String value)` Imposta il valore della proprietà impTicketDichiarato.
    `void` | `setNumPezzi(java.lang.String value)` Imposta il valore della proprietà numPezzi.
    `void` | `setNumRicettaFine(java.lang.String value)` Imposta il valore della proprietà numRicettaFine.
    `void` | `setNumRicettaInizio(java.lang.String value)` Imposta il valore della proprietà numRicettaInizio.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### numRicettaInizio

          protected java.lang.String numRicettaInizio

    - #### numRicettaFine

          protected java.lang.String numRicettaFine

    - #### numPezzi

          protected java.lang.String numPezzi

    - #### impLordoDichiarato

          protected java.lang.String impLordoDichiarato

    - #### impQuotaPHTDichiarato

          protected java.lang.String impQuotaPHTDichiarato

    - #### impTicketDichiarato

          protected java.lang.String impTicketDichiarato

    - #### impScontoDichiarato

          protected java.lang.String impScontoDichiarato

  - ### Constructor Detail

    - #### MazzetteRequest

          public MazzetteRequest()

  - ### Method Detail

    - #### getNumRicettaInizio

          public java.lang.String getNumRicettaInizio()

      Recupera il valore della proprietà numRicettaInizio.
      Returns:
        possible object is `String`

    - #### setNumRicettaInizio

          public void setNumRicettaInizio(java.lang.String value)

      Imposta il valore della proprietà numRicettaInizio.
      Parameters:
        `value` - allowed object is `String`

    - #### getNumRicettaFine

          public java.lang.String getNumRicettaFine()

      Recupera il valore della proprietà numRicettaFine.
      Returns:
        possible object is `String`

    - #### setNumRicettaFine

          public void setNumRicettaFine(java.lang.String value)

      Imposta il valore della proprietà numRicettaFine.
      Parameters:
        `value` - allowed object is `String`

    - #### getNumPezzi

          public java.lang.String getNumPezzi()

      Recupera il valore della proprietà numPezzi.
      Returns:
        possible object is `String`

    - #### setNumPezzi

          public void setNumPezzi(java.lang.String value)

      Imposta il valore della proprietà numPezzi.
      Parameters:
        `value` - allowed object is `String`

    - #### getImpLordoDichiarato

          public java.lang.String getImpLordoDichiarato()

      Recupera il valore della proprietà impLordoDichiarato.
      Returns:
        possible object is `String`

    - #### setImpLordoDichiarato

          public void setImpLordoDichiarato(java.lang.String value)

      Imposta il valore della proprietà impLordoDichiarato.
      Parameters:
        `value` - allowed object is `String`

    - #### getImpQuotaPHTDichiarato

          public java.lang.String getImpQuotaPHTDichiarato()

      Recupera il valore della proprietà impQuotaPHTDichiarato.
      Returns:
        possible object is `String`

    - #### setImpQuotaPHTDichiarato

          public void setImpQuotaPHTDichiarato(java.lang.String value)

      Imposta il valore della proprietà impQuotaPHTDichiarato.
      Parameters:
        `value` - allowed object is `String`

    - #### getImpTicketDichiarato

          public java.lang.String getImpTicketDichiarato()

      Recupera il valore della proprietà impTicketDichiarato.
      Returns:
        possible object is `String`

    - #### setImpTicketDichiarato

          public void setImpTicketDichiarato(java.lang.String value)

      Imposta il valore della proprietà impTicketDichiarato.
      Parameters:
        `value` - allowed object is `String`

    - #### getImpScontoDichiarato

          public java.lang.String getImpScontoDichiarato()

      Recupera il valore della proprietà impScontoDichiarato.
      Returns:
        possible object is `String`

    - #### setImpScontoDichiarato

          public void setImpScontoDichiarato(java.lang.String value)

      Imposta il valore della proprietà impScontoDichiarato.
      Parameters:
        `value` - allowed object is `String`